Groovy 1.7.0

## org.codehaus.groovy.tools
Class Compiler

    java.lang.Object
      org.codehaus.groovy.tools.Compiler

    class Compiler
    extends Object

A convenience front end for getting standard compilations done. All compile() routines generate classes to the filesystem.

author:
  Chris Poirier

version:
  $Id: Compiler.java 8008 2007-09-08 06:11:47Z paulk $

Field Summary
`static Compiler` | `DEFAULT`

Constructor Summary
`Compiler()` Initializes the Compiler with default configuration.
`Compiler(CompilerConfiguration configuration)` Initializes the Compiler with the specified configuration.

Method Summary
`void` | `compile(File file)` Compiles a single File.
`void` | `compile(File[] files)` Compiles a series of Files.
`void` | `compile(String[] files)` Compiles a series of Files from file names.
`void` | `compile(String name, String code)` Compiles a string of code.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### DEFAULT

    static final Compiler DEFAULT

Constructor Detail

### Compiler

    public Compiler()

  Initializes the Compiler with default configuration.

### Compiler

    public Compiler(CompilerConfiguration configuration)

  Initializes the Compiler with the specified configuration.

Method Detail

### compile

    public void compile(File file)

  Compiles a single File.

### compile

    public void compile(File[] files)

  Compiles a series of Files.

### compile

    public void compile(String[] files)

  Compiles a series of Files from file names.

### compile

    public void compile(String name, String code)

  Compiles a string of code.

Copyright © 2003-2009 The Codehaus. All rights reserved.